<?php

/**
 * RcntComments
 *
 * @package rcntcomments
 * @version 0.0.3
 * @author Luka, Dayver & Cotonti Team
 * @copyright Copyright (c) Cotonti Team 2008-2012
 * @license BSD
 */
defined('COT_CODE') or die("Wrong URL.");


require_once cot_incfile('comments', 'plug');
require_once cot_incfile('page', 'module');
require_once cot_incfile('users', 'module');

function cot_build_rcntcomments($template, $mode = 'recent', $maxperpage = 5, $d = 0, $commlength = 0, $pagetitlelength = 0, $rightprescan = true, $cat = '')
{
	global $db, $db_pages, $db_com, $db_users, $cfg;



    $recentitems = new XTemplate(cot_tplfile($template, 'plug'));

	$sql = $db->query("SELECT c.*, u.user_name
			FROM $db_com AS c
				LEFT JOIN $db_users AS u ON c.com_authorid = u.user_id
			WHERE com_area = 'page' ORDER BY com_date DESC LIMIT $d, " . $maxperpage);

    $jj = 0;
	foreach ($sql->fetchAll() as $row)
	{
		$jj++;
		$recentitems->assign(cot_generate_pagetags($row, 'RCNT_COMMENTS_ROW_', $textlength));

		if ((int)$commlength > 0 && mb_strlen($row['com_text']) > $commlength)
		{
			$row['com_text'] = (cot_string_truncate($row['com_text'], $commlength, false)) . "...";
		}

        // Get the URL and parameters
		$link_area = $env['ext'];
		$link_params = $_SERVER['QUERY_STRING'];

        $sql = $db->query("SELECT page_title, page_cat, page_alias FROM $db_pages WHERE page_id=" . strtr($row['com_code'], 'p', ''));
        $pag = $sql->fetch();

		if ((int)$pagetitlelength > 0 && mb_strlen($pag['page_title']) > $pagetitlelength)
		{
			$pag['page_title'] = (cot_string_truncate($pag['page_title'], $pagetitlelength, false)) . "...";
		}

        $comm_path = (empty($pag['page_alias'])) ? cot_url('page', 'id=' . strtr($row['com_code'], 'p', '')) : cot_url('page', 'al=' . $pag['page_alias']);



		$total_comments = cot_comments_count('page', strtr($row['com_code'], 'p', ''), $pag);
		$current_comment_num = $total_comments - $jj + 1;
        $comment_on_next_page = ceil($current_comment_num / $cfg['plugin']['comments']['maxcommentsperpage']);
		if ($comment_on_next_page > 1)
		{
			$comment_link =	cot_url('page', 'id=' . strtr($row['com_code'], 'p', ''), '&dcm='. $comment_on_next_page .'#c'.$row['com_id']);
		} else {
			$comment_link = cot_url('page', 'id=' . strtr($row['com_code'], 'p', ''), '#c'.$row['com_id']);
		}


		$comment_text = strip_tags($row['com_text']);
		if (mb_strlen($comment_text) < 6) {
			$comment_text = '...';
		}

		$recentitems->assign(array(
			//'RCNT_COMMENTS_ROW_SHORTTITLE' => htmlspecialchars($pag['page_title']),
			//'RCNT_COMMENTS_ROW_OWNER' => cot_build_user($pag['com_authorid'], htmlspecialchars($pag['user_name'])),
			'RCNT_COMMENTS_ROW_ODDEVEN' => cot_build_oddeven($jj),
			'RCNT_COMMENTS_ROW_DATE_STAMP' => $row['com_date'] + $usr['timezone'] * 3600,
			'RCNT_COMMENTS_ROW_AUTHOR' => cot_build_user($row['com_authorid'], htmlspecialchars($row['com_author'])),
			'RCNT_COMMENTS_ROW_URL' => $comment_link, //cot_url('page', 'id=' . strtr($row['com_code'], 'p', ''), '#c'.$row['com_id']),//cot_url($link_area, $link_params, '#c'.$row['com_id']),
			'RCNT_COMMENTS_ROW_TEXT' => $comment_text,
			'RCNT_COMMENTS_ROW_CATPATH_SHORT' => htmlspecialchars($pag['page_title']),
			'RCNT_COMMENTS_ROW_CATPATH_URL' => $comm_path,
			'RCNT_COMMENTS_ROW_NUM' => $jj
		));

		$recentitems->assign(cot_generate_usertags($row, 'RCNT_COMMENTS_ROW_OWNER_'));

        $recentitems->parse('MAIN.RCNT_COMMENTS_ROW');
    }
    //$sql->closeCursor();

   	if ($d == 0 && $jj == 0)
	{
		$recentitems->parse('MAIN.NO_RCNT_COMMENTS_FOUND');
	}

	$recentitems->parse('MAIN');

	return ($d == 0 || $jj > 0) ? $recentitems->text('MAIN') : '';

}


?>